Debian Bug report logs - #612809
please add -a to fsck.btrfs

version graph

Package: btrfs-tools; Maintainer for btrfs-tools is Dimitri John Ledkov <xnox@debian.org>; Source for btrfs-tools is src:btrfs-tools.

Reported by: Алексей Сорокин <sor.alexei@gmail.com>

Date: Thu, 10 Feb 2011 20:39:02 UTC

Severity: wishlist

Tags: upstream

Merged with 567681, 571300, 668832

Found in versions btrfs-tools/0.19+20101101-1, btrfs-tools/0.19+20100601-3, btrfs-tools/0.19+20111105-2, btrfs-tools/0.19-8

Fixed in version btrfs-tools/0.19+20120328-3

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Forwarded to linux-btrfs@vger.kernel.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612809; Package btrfs-tools. (Thu, 10 Feb 2011 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Алексей Сорокин <sor.alexei@gmail.com>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Thu, 10 Feb 2011 20:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Алексей Сорокин <sor.alexei@gmail.com>
To: submit@bugs.debian.org
Subject: fsck can't find btrfs
Date: Thu, 10 Feb 2011 23:37:02 +0300
[Message part 1 (text/plain, inline)]
Package: btrfs-tools
Version: 0.19+20100601-3

fsck can't find fsck.btrfs for automatical checking because it not exists.
Can you add this script to package (/sbin/fsck.btrfs):

#!/bin/sh

btrfsck "`echo "$@" | sed -e 's/ /\n/g' | grep "/"`";
exit 0;
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612809; Package btrfs-tools. (Thu, 10 Feb 2011 20:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to paulrufous@gmail.com:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Thu, 10 Feb 2011 20:51:08 GMT) Full text and rfc822 format available.

Message #10 received at 612809@bugs.debian.org (full text, mbox):

From: Paul Rufous <paulrufous@gmail.com>
To: 612809@bugs.debian.org
Subject: sck can't find btrfs
Date: Thu, 10 Feb 2011 22:49:37 +0200
Variant 2:
file /sbin/fsck.btrfs

#!/bin/sh
/sbin/btrfsck $(echo $@ | sed -e "s/\($1\)\|\(-a\)//g")

-- 
Paul Rufous <paulrufous@gmail.com>





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612809; Package btrfs-tools. (Fri, 01 Jul 2011 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Chandler <alan@chandlerfamily.org.uk>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Fri, 01 Jul 2011 05:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 612809@bugs.debian.org (full text, mbox):

From: Alan Chandler <alan@chandlerfamily.org.uk>
To: 612809@bugs.debian.org
Subject: fsck failing because it can't find fsck.btrfs
Date: Fri, 01 Jul 2011 05:21:40 +0100
This bug seems to have got a whole lot worse by the last upgrade to my 
system because now I am thrown into maintenance mode with root mounted 
read-only.

My solution was to provide a symbolic link so that /sbin/fsck.btrfs 
points at /sbin/btrfsck


I still seem to get some form of failure reported during boot up, but at 
least it does finish at put me into the gdm prompt

-- 
Alan Chandler
http://www.chandlerfamily.org.uk




Severity set to 'serious' from 'normal' Request was from Julien Danjou <acid@debian.org> to control@bugs.debian.org. (Fri, 05 Aug 2011 11:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612809; Package btrfs-tools. (Fri, 12 Aug 2011 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Fri, 12 Aug 2011 06:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 612809@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Alan Chandler <alan@chandlerfamily.org.uk>
Cc: 612809@bugs.debian.org
Subject: Re: fsck failing because it can't find fsck.btrfs
Date: Fri, 12 Aug 2011 01:00:29 -0500
found 612809 btrfs-tools/0.19+20101101-1
quit

Hi,

Alan Chandler wrote:

> This bug seems to have got a whole lot worse by the last upgrade to my
> system because now I am thrown into maintenance mode with root mounted
> read-only.

Ran into this today (in a VM I hadn't upgraded for a while); looks
like it was caused by

  * Removing fsck.btrfs symlink to circumvent that btrfsck doesn't
    support -a.

in version 0.19-11.  Which makes sense --- btrfsck doesn't know how to
repair filesystems with guidance from the user yet, so it certainly
can't automatically repair them.

Still, I believe it would be best to allow btrfsck to act as fsck when
the filesystem is not broken.  Would some script along these lines
make sense?

	#!/bin/sh
	# fsck.btrfs - Wrapper for btrfsck to work around the latter's
	# lack of support for "-a".

	shell_quote () {
		# Wrap stdin in single-quotes,
		# quoting embedded single-quotes as '\''.

		sed -e "s/'/'\\\\''/g" \
		    -e "s/.*/'&'/"
	}

	args=
	while test "${1+set}"
	do
		if test "$1" = -a
		then
			echo >&2 'warning: btrfsck cannot repair filesystem corruption!'
		else
			args="$args $(printf "%s\n" "$1" | shell_quote)"
		fi
		shift
	done
	eval "exec btrfsck $args"

Thanks,
Jonathan




Bug Marked as found in versions btrfs-tools/0.19+20101101-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 12 Aug 2011 06:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612809; Package btrfs-tools. (Fri, 12 Aug 2011 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to iori yoneji <fibo.11235813213455@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Fri, 12 Aug 2011 18:57:02 GMT) Full text and rfc822 format available.

Message #29 received at 612809@bugs.debian.org (full text, mbox):

From: iori yoneji <fibo.11235813213455@gmail.com>
To: 612809@bugs.debian.org
Subject: Re: fsck failing because it can't find fsck.btrfs
Date: Sat, 13 Aug 2011 03:52:44 +0900
[Message part 1 (text/plain, inline)]
I have same trouble too.
My work around was working on other systemthat:
cp /path/to/root/sbin/btrfsck /path/to/root/sbin/fsck.btrfs

But, it hasn't been a good hack.

As you know, btrfsck's synopsis is very simple: btrfsck  device
But fsck.hoge did -a option.
So, while boot, an error saying "-a device is not available" or so.

And btrfsck does not do anything but just read.

Judging from above, this way is possibly to be a good hack,
ln -s /bin/true /sbin/btrfsck
and/or
Mail to root when a system dist-upgraded to recommend that:
In fstab, the last column of / would be 0

Anyway, it is not friendly way when dist-upgrade, turned off,
and reboot, then there is no rule to fsck.btrfs.

Thanks.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612809; Package btrfs-tools. (Fri, 12 Aug 2011 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Fri, 12 Aug 2011 21:36:03 GMT) Full text and rfc822 format available.

Message #34 received at 612809@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Alan Chandler <alan@chandlerfamily.org.uk>
Cc: 612809@bugs.debian.org
Subject: Re: fsck failing because it can't find fsck.btrfs
Date: Fri, 12 Aug 2011 16:33:09 -0500
Jonathan Nieder wrote:

> Still, I believe it would be best to allow btrfsck to act as fsck when
> the filesystem is not broken.  Would some script along these lines
> make sense?

Alas, the answer appears to be "no" for now.

	warning: btrfsck cannot repair filesystem corruption - suppressing "-a" option
	check_mounted(): Could not open /run/rootdev
	Could not check mount status: Unknown error 18446744073709551610
	fsck died with exit status 250

Thanks, and sorry for the noise.




Severity set to 'wishlist' from 'serious' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 28 Aug 2011 07:15:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'please add -a to fsck.btrfs' from 'fsck can't find btrfs' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 28 Aug 2011 07:15:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 28 Aug 2011 07:15:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'linux-btrfs@vger.kernel.org'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 28 Aug 2011 07:15:04 GMT) Full text and rfc822 format available.

Forcibly Merged 567681 571300 612809. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 28 Aug 2011 07:15:06 GMT) Full text and rfc822 format available.

Forcibly Merged 567681 571300 612809. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 28 Aug 2011 07:15:07 GMT) Full text and rfc822 format available.

Marked as found in versions btrfs-tools/0.19+20111105-2. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 Apr 2012 09:03:09 GMT) Full text and rfc822 format available.

Merged 567681 571300 612809 668832 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 Apr 2012 09:03:12 GMT) Full text and rfc822 format available.

Merged 567681 571300 612809 668832 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 Apr 2012 09:03:14 GMT) Full text and rfc822 format available.

Merged 567681 571300 612809 668832 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 Apr 2012 09:03:16 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 13 Jun 2012 15:06:16 GMT) Full text and rfc822 format available.

Notification sent to Алексей Сорокин <sor.alexei@gmail.com>:
Bug acknowledged by developer. (Wed, 13 Jun 2012 15:06:16 GMT) Full text and rfc822 format available.

Message #59 received at 612809-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 612809-close@bugs.debian.org
Subject: Bug#612809: fixed in btrfs-tools 0.19+20120328-3
Date: Wed, 13 Jun 2012 15:03:34 +0000
Source: btrfs-tools
Source-Version: 0.19+20120328-3

We believe that the bug you reported is fixed in the latest version of
btrfs-tools, which is due to be installed in the Debian FTP archive:

btrfs-tools-dbg_0.19+20120328-3_i386.deb
  to main/b/btrfs-tools/btrfs-tools-dbg_0.19+20120328-3_i386.deb
btrfs-tools-udeb_0.19+20120328-3_i386.udeb
  to main/b/btrfs-tools/btrfs-tools-udeb_0.19+20120328-3_i386.udeb
btrfs-tools_0.19+20120328-3.debian.tar.gz
  to main/b/btrfs-tools/btrfs-tools_0.19+20120328-3.debian.tar.gz
btrfs-tools_0.19+20120328-3.dsc
  to main/b/btrfs-tools/btrfs-tools_0.19+20120328-3.dsc
btrfs-tools_0.19+20120328-3_i386.deb
  to main/b/btrfs-tools/btrfs-tools_0.19+20120328-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612809@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated btrfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Jun 2012 16:00:13 +0200
Source: btrfs-tools
Binary: btrfs-tools btrfs-tools-udeb btrfs-tools-dbg
Architecture: source i386
Version: 0.19+20120328-3
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 btrfs-tools - Checksumming Copy on Write Filesystem utilities
 btrfs-tools-dbg - Checksumming Copy on Write Filesystem utilities (debug)
 btrfs-tools-udeb - Checksumming Copy on Write Filesystem utilities (udeb) (udeb)
Closes: 567681 571300 585568 612809 634658 638778 642302 653632 668832
Changes: 
 btrfs-tools (0.19+20120328-3) unstable; urgency=low
 .
   * Adding udev rule to automatically call 'btrfs scan' upon discovering
     btrfs devices in order to allow using btrfs raid devices
     automatically (Closes: #585568, #634658, #653632).
   * Adding patch to update btrfs manpage to match /sbin/btrfs (Closes:
     #638778, #642302).
   * Also including /sbin/btrfs in udeb.
   * Adding patch from Sten Heinze <shze@gmx.de> to ignore all arguments
     starting with -a in btrfsck for the time being (Closes: #567681,
     #571300, #612809, #668832).
   * Adding back symlink for fsck.btrfs.
Checksums-Sha1: 
 4efdfc048d66127949392438d0886f9f56596496 1339 btrfs-tools_0.19+20120328-3.dsc
 cf6580067f46115b1ee9159e00d0a2cdb7011d13 9043 btrfs-tools_0.19+20120328-3.debian.tar.gz
 f162921cea5af9920053c52210e9f4c2a895cd6e 1173790 btrfs-tools_0.19+20120328-3_i386.deb
 84abb003ed5c4a0b55a7b60fe5447695e79317f8 104622 btrfs-tools-udeb_0.19+20120328-3_i386.udeb
 4187c9cc7969b9c13904c120d94929fe57524f98 3836424 btrfs-tools-dbg_0.19+20120328-3_i386.deb
Checksums-Sha256: 
 90daf54742c19b83f6a832d0ea56ddddf2cd63e5730250896d5dfdf3e254c9ef 1339 btrfs-tools_0.19+20120328-3.dsc
 1881ca47b49d6e17aafd2dc54b5e908861b4aa1b2c3a9d85b7d12c5d437538af 9043 btrfs-tools_0.19+20120328-3.debian.tar.gz
 12ab6d3c468c1277a3821aa764b4820841e6543ab89341a307e286596dceb808 1173790 btrfs-tools_0.19+20120328-3_i386.deb
 1c429a90b86cdae50e058393db4224f1788b7b6227d39bda1b829ae7b2b2f000 104622 btrfs-tools-udeb_0.19+20120328-3_i386.udeb
 c7fd45963c5fb2f65f1745c2729b377a588300c944313d16f0a3200ad5c87523 3836424 btrfs-tools-dbg_0.19+20120328-3_i386.deb
Files: 
 fa56ea2f1fe66c26b0c3899e51769cb0 1339 admin optional btrfs-tools_0.19+20120328-3.dsc
 96b50748fb4dd937902c69d104d9b743 9043 admin optional btrfs-tools_0.19+20120328-3.debian.tar.gz
 c2e9c7e2c01632ebb07e3af8b452d559 1173790 admin optional btrfs-tools_0.19+20120328-3_i386.deb
 debd19bd53f1a2ea33500ee3b53b29c2 104622 debian-installer optional btrfs-tools-udeb_0.19+20120328-3_i386.udeb
 1e55f6484e287c5239d36b46d30f6ec7 3836424 debug extra btrfs-tools-dbg_0.19+20120328-3_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/YnZkACgkQ+C5cwEsrK54pOQCgk/yPeK8r9vvt5/W93dj5L9yv
3w4AoI4Z0xf3QYEsW9ZoqNVliv2Jn3OT
=M/i1
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 13 Jun 2012 15:06:16 GMT) Full text and rfc822 format available.

Notification sent to Sten Heinze <shze@gmx.de>:
Bug acknowledged by developer. (Wed, 13 Jun 2012 15:06:16 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 13 Jun 2012 15:06:17 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Wed, 13 Jun 2012 15:06:17 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 13 Jun 2012 15:06:18 GMT) Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. (Wed, 13 Jun 2012 15:06:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Jul 2012 07:33:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:02:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.